import { useState as o } from "react";
const f = (l, t) => {
  const [i, a] = o(!1);
  return {
    isResizing: i,
    localHandleResizeStart: (e, s) => {
      a(!0), l && l(e, s);
    },
    localHandleResizeStop: (e, s) => {
      a(!1), t && t(e, s);
    }
  };
};
export {
  f as useResizable
};
